# class Mail::Multibyte::Unicode::Codepoint

Holds data about a codepoint in the Unicode database.

### Attributes

code[RW]
combining_class[RW]
decomp_mapping[RW]
decomp_type[RW]
lowercase_mapping[RW]
uppercase_mapping[RW]

### Public Class Methods

new() click to toggle source

Initializing Codepoint object with default values

    # File lib/mail/multibyte/unicode.rb, line 14
    def initialize
      @combining_class = 0
      @uppercase_mapping = 0
      @lowercase_mapping = 0
    end

### Public Instance Methods

swapcase_mapping() click to toggle source

    # File lib/mail/multibyte/unicode.rb, line 20
    def swapcase_mapping
      uppercase_mapping > 0 ? uppercase_mapping : lowercase_mapping
    end